[package]
name = "cattools-rs"
version = "1.0.1"
edition = "2024"
authors = ["miaoermua", "canmi"]
license = "GPL-2.0"
description = "CatWrt configuration toolbox written in Rust"
homepage = "https://github.com/miaoermua/cattools"
repository = "https://github.com/miaoermua/cattools"

[[bin]]
name = "cattools"
path = "src/main.rs"

[dependencies]
serde = { version = "1", features = ["derive"] }
serde_json = "1"
thiserror = "1"
dialoguer = "0.11"
toml = "0.8"
dirs = "5"

[profile.release]
strip = true
opt-level = "z"  # Optimize for size
lto = true
codegen-units = 1
panic = "abort"
